attribute vec3 normals;
attribute vec2 texCoord1;
varying vec2 texCoord;
varying vec3 norm;
varying vec3 eye;
void main()
{
	texCoord = texCoord1;
	norm = gl_NormalMatrix*normals;
	eye = (gl_ModelViewMatrix *gl_Vertex).xyz;
	gl_Position = ftransform();
}